Package com.sas.services.information

# Class FactoryException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.services.ServiceException
com.sas.services.information.FactoryException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

Direct Known Subclasses:
  `FactoryClassException`, `FactoryNotInitializedException`

public class FactoryException extends ServiceException
This Exception is thrown when an error occurs in the Information Service Factory which instantiates "Smart objects" from metadata retrieved from repositories. This is a general exception that can be caused by a variety of situations.

Since:
  1.1
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FactoryException()`
  Constructor for FactoryException.
  `FactoryException(String message)`
  Constructor for FactoryException.
  `FactoryException(Throwable throwable, String message)`
  Constructor for FactoryException.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getRepositoryId()`
  `String`
  `getRepositoryType()`
  `void`
  `setRepositoryId(String reposId)`
  `void`
  `setRepositoryType(String type)`
  `String`
  `toString()`

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FactoryException

    public FactoryException()
    Constructor for FactoryException.

  - ### FactoryException

    public FactoryException(String message)
    Constructor for FactoryException.
    Parameters:
      `message` -

  - ### FactoryException

    public FactoryException(Throwable throwable, String message)
    Constructor for FactoryException.
    Parameters:
      `throwable` -
      `message` -

- ## Method Details

  - ### setRepositoryId

    public void setRepositoryId(String reposId)

  - ### getRepositoryId

    public String getRepositoryId()

  - ### setRepositoryType

    public void setRepositoryType(String type)

  - ### getRepositoryType

    public String getRepositoryType()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `com.sas.util.ChainedException`